#### D.5.12.23 constructlastblwup

Procedure from library `resbinomial.lib` (see resbinomial_lib).

Usage:
  constructlastblwup(blwhist,n,chy,flag);
  blwhist, flag lists, n integer, chy ideal

Return:
  the ideal defining the last blow up

Note:
  NECESSARY START WITH COLUMNS

Example:

    LIB "resbinomial.lib";
    ring r = 0,(x(1..3)),dp;
    list flag=identifyvar();
    ideal chy=maxideal(1);
    ideal J=x(1)^4*x(2)^2, x(1)^2+x(3)^3;
    list L=Eresol(J);   // 7 charts
    // history of the blow ups at the 7-th chart, center {x(1)=x(3)=0} every time
    L[1][7][8]; // blow ups at x(3)-th, x(1)-th and x(1)-th charts
    ==> [1]:
    ==>    0,3,0,0
    ==> [2]:
    ==>    0,0,0,0
    ==> [3]:
    ==>    0,0,1,1
    constructlastblwup(L[1][7][8],3,chy,flag);
    ==> _[1]=x(1)
    ==> _[2]=x(2)
    ==> _[3]=x(1)*x(3)

User manual for Singular version 4.4.1, 2025, generated by texi2html.